<template>
<section>
    <audio v-bind:src="song.songSrc" preload="auto" autoplay ref="audioPlayer" />
   
    <div class="text-white bg-gray-400 rounded-lg p-4">
        <div class="flex flex-col justify-center items-center">
          
          
           <div :class="isPlaying ? 'animate' : ''" class="circle">
            <div :class="isPlaying ? 'animate' : ''" class="circle2">
               <img id="cover" v-bind:src="song.src" class="fluid-img"></div>
              </div>
            <div class="text-center">
                <p class="text-yellow-300 font-bold">{{ song.name }}</p>
                <p class="text-gray-200">{{ song.artistName }} - {{ song.albumName }}</p>
                <p class="text-gray-400">{{ song.year }}</p>
            </div>
        </div>
        <div class="grid grid-cols-3 lg:mt-10 mt-5">
            <div class="flex items-center justify-center">
                <button  class="rounded-full bg-indigo-700 h-12 w-12 text-black font-bold"
                     v-on:click="previous">Prev</button>
            </div>
            <div class="flex items-center justify-center">
                <button
                    class="rounded-full bg-yellow-500 h-24 w-24 text-black font-bold"
                    v-on:click="togglePlay"
                >
                    {{ isPlaying ? 'Pause' : 'Play' }}
                </button>
            </div>
            <div class="flex items-center justify-center">
                <button  class="rounded-full bg-indigo-700 h-12 w-12 text-black font-bold"
                    v-on:click="next">Next</button>
            </div>
        </div>
    </div>
</section>
</template>

<script>
export default {
    data () {
        return {
            isPlaying: false
        }
    },
    name: 'SongPlayer',
    props: {
        song: {
            id: Number,
            name: String,
            artistName: String,
            albumName: String,
            year: Number,
            src: String,
            songSrc: String
        },
    },
    emits: ['goback', 'next', 'previous'],
    methods: {
        goback () {
            this.$emit('goback');
        },
        togglePlay () {
            if (this.isPlaying) {
                this.$refs.audioPlayer.pause();
            } else {
                this.$refs.audioPlayer.play();
            }

            this.isPlaying = !this.isPlaying;
        },
        next () {
            this.$emit('next');
        },
        previous () {
            this.$emit('previous');
        }
    }
}
</script>

<style scoped>
.circle {
    width: 250px;
    height: 250px;
    background-color: #222427;
    border-radius: 50%;
    margin: 2rem auto;
    display: flex;
    border: 5px solid #37b0d8;
    border-top: 3px solid #0254ec;
   
}
.circle2 {
    width: 180px;
    height: 180px;
    background-color: #252629;
    border-radius: 50%;
    border: 3px solid #282529;
    border-top: 3px solid #66bfe9;
    align-self: center;
    display: flex;
    margin: auto;
    
}
.circle2 .fluid-img{
    width: 100%;
    max-width: 160px;
    height: auto;
    border-radius: 50%;
    align-self: center;
    margin: auto;
}
.circle.animate {
    animation: anticlock 6s infinite linear;
}
.circle2.animate {
    animation: clockwise 6s infinite linear;
}
@keyframes anticlock {
    from {
        transform: rotate(360deg);
    } to {
        transform: rotate(0deg);
    }
}
@keyframes clockwise {
    from {
        transform: rotate(0deg);
    } to {
        transform: rotate(360deg);
    }
}
</style>    